Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusClient.ResponseFuture<V>

java.lang.Object
java.util.concurrent.FutureTask<V>
ru.bitel.bgbilling.kernel.network.radius.RadiusClient.ResponseFuture<V>

All Implemented Interfaces:
  `java.lang.Runnable`, `java.util.concurrent.Future<V>`, `java.util.concurrent.RunnableFuture<V>`

Enclosing class:
  RadiusClient

    public static final class RadiusClient.ResponseFuture<V>
    extends java.util.concurrent.FutureTask<V>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ResponseFuture​(java.util.concurrent.Callable<V> callable, java.util.Date time, int deviceId, long connectionId, int connectionLogEntryId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `done()` |
  `RadiusPacket` | `getResponse()` |
  `RadiusPacket` | `getResponse​(long timeout, java.util.concurrent.TimeUnit unit)` |
  `void` | `set​(V v)` |

  ### Methods inherited from class java.util.concurrent.FutureTask

  `cancel, get, get, isCancelled, isDone, run, runAndReset, setException, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResponseFuture

    public ResponseFuture​(java.util.concurrent.Callable<V> callable, java.util.Date time, int deviceId, long connectionId, int connectionLogEntryId)

- ## Method Details

  - ### done

    protected void done()
    Overrides:
      `done` in class `java.util.concurrent.FutureTask<V>`

  - ### set

    public void set​(V v)
    Overrides:
      `set` in class `java.util.concurrent.FutureTask<V>`

  - ### getResponse

    public RadiusPacket getResponse() throws java.lang.InterruptedException, java.util.concurrent.ExecutionException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`

  - ### getResponse

    public RadiusPacket getResponse​(long timeout, java.util.concurrent.TimeUnit unit) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, java.util.concurrent.TimeoutException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `java.util.concurrent.TimeoutException`